## DzlDockManager DzlDockManager |

## Functions

DzlDockManager * | dzl_dock_manager_new ()
void | dzl_dock_manager_register_dock ()
void | dzl_dock_manager_unregister_dock ()
void | dzl_dock_manager_pause_grabs ()
void | dzl_dock_manager_unpause_grabs ()
void | dzl_dock_manager_release_transient_grab ()

## Types and Values

| DzlDockManagerClass

## Description

## Functions

### dzl_dock_manager_new ()

    DzlDockManager *
    dzl_dock_manager_new (void);

### dzl_dock_manager_register_dock ()

    void
    dzl_dock_manager_register_dock (DzlDockManager *self,
                                    DzlDock *dock);

### dzl_dock_manager_unregister_dock ()

    void
    dzl_dock_manager_unregister_dock (DzlDockManager *self,
                                      DzlDock *dock);

### dzl_dock_manager_pause_grabs ()

    void
    dzl_dock_manager_pause_grabs (DzlDockManager *self);

Requests that the transient grab monitoring stop until `dzl_dock_manager_unpause_grabs()` is called.

This might be useful while setting up UI so that you don't focus something unexpectedly.

This function may be called multiple times and after an equivalent number of calls to `dzl_dock_manager_unpause_grabs()`, transient grab monitoring will continue.

#### Parameters

self | a DzlDockManager |

Since: 3.26

### dzl_dock_manager_unpause_grabs ()

    void
    dzl_dock_manager_unpause_grabs (DzlDockManager *self);

Unpauses a previous call to `dzl_dock_manager_pause_grabs()`.

Once the pause count returns to zero, transient grab monitoring will be restored.

#### Parameters

self | a DzlDockManager |

Since: 3.26

### dzl_dock_manager_release_transient_grab ()

    void
    dzl_dock_manager_release_transient_grab
                                   (DzlDockManager *self);

## Types and Values

### DzlDockManagerClass

    typedef struct {
      GObjectClass parent;

      void (*register_dock)   (DzlDockManager *self,
                               DzlDock        *dock);
      void (*unregister_dock) (DzlDockManager *self,
                               DzlDock        *dock);

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
      gpointer _reserved5;
      gpointer _reserved6;
      gpointer _reserved7;
      gpointer _reserved8;
    } DzlDockManagerClass;